aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-02-15 12:15:42 +0100
committer Eric Hameleers <alien@slackware.com>2016-02-15 12:15:42 +0100
commit4d65935e7030c1b75a25727d2f2c5fbb106e94d1 (patch)
treee53175caf842977fba91206281f8dd964d6ad4e6
parentd5c3fad34e0dcada728c58011c86414a3e9bd748 (diff)
downloadliveslak-4d65935e7030c1b75a25727d2f2c5fbb106e94d1.tar.gz
liveslak-4d65935e7030c1b75a25727d2f2c5fbb106e94d1.tar.xz
Enable more customization: configure your own LIVEDE.
A new sample configuration file 'make_slackware_live.conf' shows a commented-out example of how to use the variables LIVEDE, SEQ_CUSTOM and a function "custom_config()" to create a Slackware Live variant which is not covered by the available variants SLACKWARE, XFCE, KDE4, PLASMA5, MATE or CINNAMON.
-rw-r--r--make_slackware_live.conf78
-rwxr-xr-xmake_slackware_live.sh25
2 files changed, 101 insertions, 2 deletions
diff --git a/make_slackware_live.conf b/make_slackware_live.conf
new file mode 100644
index 0000000..58adec3
--- /dev/null
+++ b/make_slackware_live.conf
@@ -0,0 +1,78 @@
+# ---------------------------------------------------------------------------
+# liveslak scripts by alienbob.
+#
+# Configuration file for "make_slackware_live.sh".
+# Define your own custom values here to avoid editing the shell script.
+# ---------------------------------------------------------------------------
+
+# Examples:
+
+# Custom name for the host:
+#LIVE_HOSTNAME="darkstar"
+
+# Marker used for finding the Slackware Live files:
+#MARKER="SLACKWARELIVE"
+
+# The filesystem label of the ISO:
+#MEDIALABEL="LIVESLAK"
+
+# The name of the directory used for storing persistence data:
+#PERSISTENCE="persistence"
+
+# What type of Live image?
+#LIVEDE="SLACKWARE"
+
+# What runlevel to use if adding a DE like: XFCE, KDE4, PLASMA5 etc...
+#RUNLEVEL=4
+
+# Passwords for the user accounts in the Live image:
+#ROOTPW="root"
+#LIVEPW="live"
+
+# Who built the live image:
+#BUILDER="Alien BOB"
+
+# Slackware version to use (note: this won't work for Slackware <= 14.1):
+#SL_VERSION="current"
+
+# Slackware architecture to install:
+#SL_ARCH="x86_64"
+
+# Root directory of a Slackware local mirror tree:
+#SL_REPO="/home/ftp/pub/Linux/Slackware"
+
+# Directory where the live ISO image will be written:
+#OUTPUT="/tmp"
+
+#
+# -- This is how you can create your own custom Live OS:
+#
+
+# REQUIRED:
+# Define a new name for your own variant of Slackware Live Edition:
+#LIVEDE="CINELERRA"
+
+# REQUIRED:
+# Define your own custom package sequence for a custom Live ISO.
+# In this example you would need to create two files "pkglists/cinelerra.conf"
+# and "pkglists/cinelerra.lst" defining the package location and package list
+# respectively):
+#SEQ_CUSTOM="min,xbase,xapbase,xfcebase,cinelerra"
+
+# OPTIONAL:
+# Marker used for finding the Slackware Live files:
+#MARKER="CINELERRA"
+
+# OPTIONAL:
+# The filesystem label of the ISO:
+#MEDIALABEL="CINELERRA"
+
+# OPTIONAL:
+# The ISO main directory:
+#LIVEMAIN="cinelerra"
+
+# OPTIONAL:
+# Add your own Live OS customizations to the function custom_config() :
+#custom_config() {
+# # Add your own stuff here which is not covered in the main script:
+#}
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index c76e31d..b80d9ae 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -689,7 +689,13 @@ case "$LIVEDE" in
PLASMA5) MSEQ="${SEQ_PLASMA5}" ;;
MATE) MSEQ="${SEQ_MSB}" ;;
CINNAMON) MSEQ="${SEQ_CIN}" ;;
- *) echo "** Unsupported configuration '$LIVEDE'"; exit 1 ;;
+ *) if [ -n "${SEQ_CUSTOM}" ]; then
+ # Custom distribution with a predefined package list:
+ MSEQ="${SEQ_CUSTOM}"
+ else
+ echo "** Unsupported configuration '$LIVEDE'"; exit 1
+ fi
+ ;;
esac
# Do we need to create/include additional module(s) defined by a pkglist:
@@ -1172,12 +1178,27 @@ EOGL
# Workaround a bug where SDDM does not always use the configured keymap:
echo "setxkbmap" >> ${LIVE_ROOTDIR}/usr/share/sddm/scripts/Xsetup
-
+
# Do not show the blueman applet, Plasma5 has its own BlueTooth widget:
echo "NotShowIn=KDE;" >> ${LIVE_ROOTDIR}/etc/xdg/autostart/blueman.desktop
fi # End LIVEDE = PLASMA5
+# You can define the function 'custom_config()' by uncommenting it in
+# the configuration file 'make_slackware_live.conf'.
+if type custom_config 1>/dev/null 2>/dev/null ; then
+
+ # -------------------------------------------------------------------------- #
+ echo "-- Configuring ${LIVEDE} by calling 'custom_config()'."
+ # -------------------------------------------------------------------------- #
+
+ # This is particularly useful if you defined a non-standard "LIVEDE"
+ # in 'make_slackware_live.conf', in which case you must specify your custom
+ # package sequence in the variable "SEQ_CUSTOM" in that same .conf file.
+ custom_config
+
+fi
+
# Workaround a bug where our Xkbconfig is not loaded sometimes:
echo "setxkbmap" > ${LIVE_ROOTDIR}/home/live/.xprofile